package com.loafle.overflow.models;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_MEMBER", schema = "public", catalog = "postgres")
public class TblMember {
    private long id;
    private String email;
    private String pw;
    private String pwSalt;
    private String name;
    private String phone;
    private String companyName;
    private Timestamp createDate;
    private short statusId;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "EMAIL", nullable = false, length = 50)
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Basic
    @Column(name = "PW", nullable = true, length = 32)
    public String getPw() {
        return pw;
    }

    public void setPw(String pw) {
        this.pw = pw;
    }

    @Basic
    @Column(name = "PW_SALT", nullable = true, length = 32)
    public String getPwSalt() {
        return pwSalt;
    }

    public void setPwSalt(String pwSalt) {
        this.pwSalt = pwSalt;
    }

    @Basic
    @Column(name = "NAME", nullable = true, length = 50)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "PHONE", nullable = true, length = 50)
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Basic
    @Column(name = "COMPANY_NAME", nullable = true, length = 50)
    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = true)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Basic
    @Column(name = "STATUS_ID", nullable = false)
    public short getStatusId() {
        return statusId;
    }

    public void setStatusId(short statusId) {
        this.statusId = statusId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        TblMember tblMember = (TblMember) o;

        if (id != tblMember.id) return false;
        if (statusId != tblMember.statusId) return false;
        if (email != null ? !email.equals(tblMember.email) : tblMember.email != null) return false;
        if (pw != null ? !pw.equals(tblMember.pw) : tblMember.pw != null) return false;
        if (pwSalt != null ? !pwSalt.equals(tblMember.pwSalt) : tblMember.pwSalt != null) return false;
        if (name != null ? !name.equals(tblMember.name) : tblMember.name != null) return false;
        if (phone != null ? !phone.equals(tblMember.phone) : tblMember.phone != null) return false;
        if (companyName != null ? !companyName.equals(tblMember.companyName) : tblMember.companyName != null)
            return false;
        if (createDate != null ? !createDate.equals(tblMember.createDate) : tblMember.createDate != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) (id ^ (id >>> 32));
        result = 31 * result + (email != null ? email.hashCode() : 0);
        result = 31 * result + (pw != null ? pw.hashCode() : 0);
        result = 31 * result + (pwSalt != null ? pwSalt.hashCode() : 0);
        result = 31 * result + (name != null ? name.hashCode() : 0);
        result = 31 * result + (phone != null ? phone.hashCode() : 0);
        result = 31 * result + (companyName != null ? companyName.hashCode() : 0);
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        result = 31 * result + (int) statusId;
        return result;
    }
}
