package com.loafle.overflow.models;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_TARGET", schema = "public", catalog = "postgres")
public class TblTarget {
    private long id;
    private Timestamp createDate;
    private long probeId;
    private long infraId;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = false)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Basic
    @Column(name = "PROBE_ID", nullable = false)
    public long getProbeId() {
        return probeId;
    }

    public void setProbeId(long probeId) {
        this.probeId = probeId;
    }

    @Basic
    @Column(name = "INFRA_ID", nullable = false)
    public long getInfraId() {
        return infraId;
    }

    public void setInfraId(long infraId) {
        this.infraId = infraId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        TblTarget tblTarget = (TblTarget) o;

        if (id != tblTarget.id) return false;
        if (probeId != tblTarget.probeId) return false;
        if (infraId != tblTarget.infraId) return false;
        if (createDate != null ? !createDate.equals(tblTarget.createDate) : tblTarget.createDate != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) (id ^ (id >>> 32));
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        result = 31 * result + (int) (probeId ^ (probeId >>> 32));
        result = 31 * result + (int) (infraId ^ (infraId >>> 32));
        return result;
    }
}
